This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 171487 - Boot error for kernel 2.6.13-1.1532_FC4
Boot error for kernel 2.6.13-1.1532_FC4
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-21 15:11 EDT by Mike Cohler
Modified: 2013-07-02 22:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-19 01:00:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/messages for the kernel 2.6.13-1.1532_FC4 with the above problem (26.83 KB, text/plain)
2005-10-21 15:34 EDT, Mike Cohler
no flags Details
/var/log/messages for kernel 2.6.13-1.1526_FC4 when the problem does not occur (26.24 KB, text/plain)
2005-10-21 15:36 EDT, Mike Cohler
no flags Details
boot messages from /var/log/yum (28.21 KB, text/plain)
2005-11-11 04:23 EST, Mike Cohler
no flags Details

  None (edit)
Description Mike Cohler 2005-10-21 15:11:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
For the previous kernel 2.6.13-1.1526_FC4 on my Dell D610 there were no issues arising during boot. 

The new kernel update to 2.6.13-1.1532_FC4 now gives a message:
IDE: I/O 0x1F0-0Z1F7 not free
IDE Port in use, skipping probe at the start of the boot.

In addition during the boot sequence the smartd fails with the message 
Starting smartd   [Failed]

The boot then appears to continue normally

Version-Release number of selected component (if applicable):
2.6.13-1.1532_FC4

How reproducible:
Always

Steps to Reproduce:
1. Start or restart the laptop
2. Watch the screen as the boot starts
3.
  

Actual Results:  As reported above

Expected Results:  These IDE messages should not appear - and there should be a smartd [OK] message instead of the [failed] report.

Additional info:

I will create attachments for the start of the boot process for both the old and the new kernels from the /var/log/messages file. These will follow in the next hour or so.

The previous kernel did not give these errors.
Comment 1 Mike Cohler 2005-10-21 15:34:12 EDT
Created attachment 120269 [details]
/var/log/messages for the kernel 2.6.13-1.1532_FC4 with the above problem

messages output during boot with the problem occuring
Comment 2 Mike Cohler 2005-10-21 15:36:14 EDT
Created attachment 120270 [details]
/var/log/messages for kernel 2.6.13-1.1526_FC4 when the problem does not occur

This is the section of the messages file when there is no error message on boot
for the previous 2.6.13-1.1526_FC4 kernel
Comment 3 Mike Cohler 2005-10-21 16:18:25 EDT
In case this is needed the smartd.conf has only one line:
/dev/hda -H -m root@localhost.localdomain
Comment 4 Mike Cohler 2005-10-21 16:20:00 EDT
Correction :

In the error message the line "IDE: I/O 0x1F0-0Z1F7 not free"
should have been "IDE: I/O 0x1F0-0x1F7 not free"
Comment 5 Mike Cohler 2005-10-31 11:39:27 EST
I see that 2.6.14 will be heading to the updates soon so perhaps this will
provide a fix.
Comment 6 Mike Cohler 2005-11-01 12:41:59 EST
I just tested kernel 2.6.14-1.1633_FC4 from updates testing - the boot problem
remains for this laptop (Dell D610).
Comment 7 Mike Cohler 2005-11-08 10:16:23 EST
Tried latest test kernel 2.6.14-1.1636_FC4 and the same error message occurs
during boot.
Comment 8 Dave Jones 2005-11-10 14:42:59 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 9 Mike Cohler 2005-11-10 16:59:27 EST
Sorry Dave but I have just tested with this 2.6.14-1.1637 kernel and the same
error occurs
Comment 10 Mike Cohler 2005-11-10 17:08:17 EST
By the way I had also run a yum update to bring the machine fully up to date
before each of these tests. So in each case I was fully up to date before
re-booting.
Mike
Comment 11 Mike Cohler 2005-11-11 04:21:16 EST
I am including the relevant lines from the messages file here:
Nov 10 21:42:19 lapmike2 smartd[2686]: smartd version 5.33 [i386-redhat-linux-gn
u] Copyright (C) 2002-4 Bruce Allen
Nov 10 21:42:19 lapmike2 kernel: RAMDISK driver initialized: 16 RAM disks of 163
84K size 1024 blocksize
Nov 10 21:42:19 lapmike2 smartd[2686]: Home page is http://smartmontools.sourcef
orge.net/
Nov 10 21:42:19 lapmike2 kernel: Uniform Multi-Platform E-IDE driver Revision: 7
.00alpha2
Nov 10 21:42:19 lapmike2 smartd[2686]: Opened configuration file /etc/smartd.con
f
Nov 10 21:42:19 lapmike2 kernel: ide: Assuming 33MHz system bus speed for PIO mo
des; override with idebus=xx
Nov 10 21:42:19 lapmike2 kernel: ide0: I/O resource 0x1F0-0x1F7 not free.
Nov 10 21:42:19 lapmike2 kernel: ide0: ports already in use, skipping probe
Nov 10 21:42:19 lapmike2 smartd[2686]: Configuration file /etc/smartd.conf parse
d.
Nov 10 21:42:19 lapmike2 kernel: hdc: _NEC DVD+/-RW ND-6650A, ATAPI CD/DVD-ROM d
rive
Nov 10 21:42:19 lapmike2 smartd[2686]: Device: /dev/hda, No such device, open()
failed
Nov 10 21:42:19 lapmike2 kernel: ide1 at 0x170-0x177,0x376 on irq 15
Nov 10 21:42:19 lapmike2 smartd[2686]: Unable to register ATA device /dev/hda at
line 1 of file /etc/smartd.conf
Nov 10 21:42:19 lapmike2 kernel: hdc: ATAPI 24X DVD-ROM DVD-R CD-R/RW drive, 204
8kB Cache
Nov 10 21:42:19 lapmike2 smartd[2686]: Unable to register device /dev/hda (no Di
rective -d removable). Exiting.

Next will be the attachment for the section of /var/log/messages containing the
boot messages with the latest kernel.
Comment 12 Mike Cohler 2005-11-11 04:23:28 EST
Created attachment 120924 [details]
boot messages from /var/log/yum

Boot messages for kernel 2.6.14-1.1637_FC4
Comment 13 Mike Cohler 2005-12-08 12:47:28 EST
After trying the netdev kernels a few weeks back, and not seeing any difference,
I was in contact with the developer of these alternative kernels, and had a
useful and interesting discussion concerning the upstream development of SMARTD
SATA support in libata. The developer is involved with this aspect of kernel
development.

Last night I removed the smartd.conf file and then booted onto the latest
released kernel ( 2.6.14-1.1644_FC4 ) to check what smartd.conf resulted.  The
new one that was created during boot contained a line starting with /dev/sda
rather than /dev/hda which was there for the previous kernel tests indicated
above.  

I had not picked up from the message files earlier in this posting that in fact
the drive was SATA but the smartd.conf file was indicating an IDE drive.... so I
was clearly confused previously.

I presume that at some point the libata package in the released versions will
have smartd support for SATA drives, and come into the FC4 update stream ? Is is
there any indication of the timescale ? If not will I have to wait for FC5 ? 
Once this happens then adding "-d ata" to smartd.conf and to smartctl commands
should allow SATA disc monitoring I presume ? Or will SATA support occur without
having to change the smartd.conf file generated by default when the new libata
is available?

Thanks
Mike
Comment 14 Dave Jones 2006-02-03 00:38:55 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 15 Mike Cohler 2006-02-05 13:36:32 EST
I have now booted with kernel 2.6.15-1.1830_FC4

1) In the messages file I still get the ports message as:
Feb  3 16:34:53 lapmike2 kernel: ide0: I/O resource 0x1F0-0x1F7 not free.
Feb  3 16:34:53 lapmike2 kernel: ide0: ports already in use, skipping probe

However this is not important as an error.

2) On the smartd issue, I have now added -d ata to the smartd.conf file, and
there is no longer a failed red line in the graphical boot output.

The messages file now shows:
Feb  5 18:32:46 lapmike2 smartd[2242]: Device: /dev/sda, opened
Feb  5 18:32:46 lapmike2 kernel: pci_hotplug: PCI Hot Plug PCI Core version: 0.5
Feb  5 18:32:46 lapmike2 kernel: ACPI: CPU0 (power states: C1[C1] C2[C2] C3[C3]
C4[C3])
Feb  5 18:32:46 lapmike2 smartd[2242]: Device: /dev/sda, found in smartd databas
e.
Feb  5 18:32:46 lapmike2 kernel: ACPI: Processor [CPU0] (supports 8 throttling s
tates)
Feb  5 18:32:46 lapmike2 kernel: ACPI: Thermal Zone [THM] (48 C)
Feb  5 18:32:46 lapmike2 kernel: isapnp: Scanning for PnP cards...
Feb  5 18:32:46 lapmike2 smartd[2242]: Device: /dev/sda, is SMART capable. Addin
g to "monitor" list.
Feb  5 18:32:46 lapmike2 kernel: isapnp: No Plug & Play device found
Feb  5 18:32:46 lapmike2 smartd[2242]: Monitoring 1 ATA and 0 SCSI devices

So it boots clean !

Therefore this bug can be closed as the main problem no longer arises with the
new kernel - hooray - and thanks to all the kernel development team!!

Mike
Comment 16 Dave Jones 2006-02-19 01:00:04 EST
thanks for the update

Note You need to log in before you can comment on or make changes to this bug.